Edycja

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std Edit and the translation is 93% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎čeština • ‎русский

Std Edit.svg Edycja

Lokalizacja w menu
Edycja → Przełącz tryb edycji
Środowisko pracy
Wszystkie
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
brak informacji


Opis

Polecenie Std Edit aktywuje lub dezaktywuje tryb edycji obiektu.

Użycie

  1. Jeśli żaden obiekt nie znajduje się w trybie edycji: wybierz pojedynczy obiekt.
  2. Wybierz z menu Edit → Std Edit.svg Przełącz tryb edycji.
  3. Aktywowany jest tryb edycji wybranego obiektu lub dezaktywowany dotychczasowy tryb edycji.

Uwagi

  • Nie wszystkie typy obiektów posiadają tryb edycji.
  • Funkcjonalność dostępna w trybie edycji zależy od typu obiektu.
  • Tryb edycji można uruchomić również poprzez dwukrotne kliknięcie obiektu w Widoku drzewa.

Tworzenie skryptów

Zobacz również: FreeCAD podstawy tworzenia skryptów.

Aby włączyć tryb edycji obiektu należy użyć metody setEdit obiektu dokumentu.

import FreeCADGui

FreeCADGui.ActiveDocument.setEdit("myObjectName",0)

Aby wyłączyć tryb edycji obiektu należy użyć metody resetEdit obiektu dokumentu.

import FreeCADGui

FreeCADGui.ActiveDocument.resetEdit()